import App from './App'
// import store from './store'

// #ifndef VUE3
import Vue from 'vue'
import axios from 'axios'
import api from '@api/api.ts'

Vue.config.productionTip = false;
Vue.prototype.axios = axios;
Vue.prototype.$api = api;

import { numberToCurrencyNo } from './util/numberPipe';
// 配置全局过滤器，实现数字千分位格式
Vue.filter('numberToCurrency', numberToCurrencyNo)
App.mpType = 'app'
const app = new Vue({
	api,
    ...App,
	
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif